package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_QUENCHING_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author milu   date 2021-12-26
 */
@SuppressWarnings("serial")
public class HttQuenchingResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 淬火方式
     */
    private String quenchWay = "";
    /**
     * 流量
     */
    private String traffic = "";
    /**
     * 时长
     */
    private String lengthTime = "";
    /**
     * 淬火支数
     */
    private String passNum = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 热处理次数
     */
    private String processSeq = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 喷嘴型号
     */
    private String model = "";
    /**
     * 内喷流量
     */
    private String neiGps = "";
    /**
     * 内喷时常
     */
    private String neiTime = "";
    /**
     * 内喷压力
     */
    private String neiPsi = "";
    /**
     * 外喷流量
     */
    private String waiGps = "";
    /**
     * 外喷时间
     */
    private String waiTime = "";
    /**
     * 外喷压力
     */
    private String waiPsi = "";
    /**
     * 延时时间
     */
    private String delayed = "";
    /**
     * 水淬钢管前温度
     */
    private String beforeTemperature = "";
    /**
     * 水淬钢管后温度
     */
    private String afterTemperature = "";
    /**
     * 介质温度
     */
    private String mediumTemperature = "";
    /**
     * 备注
     */
    private String pemark = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 淬火方式
     * @return value
     */
    public String getQuenchWay() {
        return quenchWay;
    }

    /**
     * 淬火方式
     * @param quenchWay value
     */
    public void setQuenchWay(String quenchWay) {
        this.quenchWay = quenchWay;
    }

    /**
     * 流量
     * @return value
     */
    public String getTraffic() {
        return traffic;
    }

    /**
     * 流量
     * @param traffic value
     */
    public void setTraffic(String traffic) {
        this.traffic = traffic;
    }

    /**
     * 时长
     * @return value
     */
    public String getLengthTime() {
        return lengthTime;
    }

    /**
     * 时长
     * @param lengthTime value
     */
    public void setLengthTime(String lengthTime) {
        this.lengthTime = lengthTime;
    }

    /**
     * 淬火支数
     * @return value
     */
    public String getPassNum() {
        return passNum;
    }

    /**
     * 淬火支数
     * @param passNum value
     */
    public void setPassNum(String passNum) {
        this.passNum = passNum;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 热处理次数
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 热处理次数
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 喷嘴型号
     * @return value
     */
    public String getModel() {
        return model;
    }

    /**
     * 喷嘴型号
     * @param model value
     */
    public void setModel(String model) {
        this.model = model;
    }

    /**
     * 内喷流量
     * @return value
     */
    public String getNeiGps() {
        return neiGps;
    }

    /**
     * 内喷流量
     * @param neiGps value
     */
    public void setNeiGps(String neiGps) {
        this.neiGps = neiGps;
    }

    /**
     * 内喷时常
     * @return value
     */
    public String getNeiTime() {
        return neiTime;
    }

    /**
     * 内喷时常
     * @param neiTime value
     */
    public void setNeiTime(String neiTime) {
        this.neiTime = neiTime;
    }

    /**
     * 内喷压力
     * @return value
     */
    public String getNeiPsi() {
        return neiPsi;
    }

    /**
     * 内喷压力
     * @param neiPsi value
     */
    public void setNeiPsi(String neiPsi) {
        this.neiPsi = neiPsi;
    }

    /**
     * 外喷流量
     * @return value
     */
    public String getWaiGps() {
        return waiGps;
    }

    /**
     * 外喷流量
     * @param waiGps value
     */
    public void setWaiGps(String waiGps) {
        this.waiGps = waiGps;
    }

    /**
     * 外喷时间
     * @return value
     */
    public String getWaiTime() {
        return waiTime;
    }

    /**
     * 外喷时间
     * @param waiTime value
     */
    public void setWaiTime(String waiTime) {
        this.waiTime = waiTime;
    }

    /**
     * 外喷压力
     * @return value
     */
    public String getWaiPsi() {
        return waiPsi;
    }

    /**
     * 外喷压力
     * @param waiPsi value
     */
    public void setWaiPsi(String waiPsi) {
        this.waiPsi = waiPsi;
    }

    /**
     * 延时时间
     * @return value
     */
    public String getDelayed() {
        return delayed;
    }

    /**
     * 延时时间
     * @param delayed value
     */
    public void setDelayed(String delayed) {
        this.delayed = delayed;
    }

    /**
     * 水淬钢管前温度
     * @return value
     */
    public String getBeforeTemperature() {
        return beforeTemperature;
    }

    /**
     * 水淬钢管前温度
     * @param beforeTemperature value
     */
    public void setBeforeTemperature(String beforeTemperature) {
        this.beforeTemperature = beforeTemperature;
    }

    /**
     * 水淬钢管后温度
     * @return value
     */
    public String getAfterTemperature() {
        return afterTemperature;
    }

    /**
     * 水淬钢管后温度
     * @param afterTemperature value
     */
    public void setAfterTemperature(String afterTemperature) {
        this.afterTemperature = afterTemperature;
    }

    /**
     * 介质温度
     * @return value
     */
    public String getMediumTemperature() {
        return mediumTemperature;
    }

    /**
     * 介质温度
     * @param mediumTemperature value
     */
    public void setMediumTemperature(String mediumTemperature) {
        this.mediumTemperature = mediumTemperature;
    }

    /**
     * 备注
     * @return value
     */
    public String getPemark() {
        return pemark;
    }

    /**
     * 备注
     * @param pemark value
     */
    public void setPemark(String pemark) {
        this.pemark = pemark;
    }
}